Type to search.

Disable an entity resolution rule

Base URL
https://{kibana_url}
  • PUT /api/security/entity_store/resolution/rules/{id}/disable
  • PUT /s/{space_id}/api/security/entity_store/resolution/rules/{id}/disable
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Generally available since 9.5 This functionality is generally available and ready for production usage. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Disable a managed entity resolution rule in this space.

Required privileges

Privileges securitySolution and securitySolution-entity-analytics-manage

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

id string · max length: 100 required

The stable identifier of the entity resolution rule.

Header parameters

kbn-xsrf string required

A required header to protect against CSRF attacks

Responses

200

Updated entity resolution rule.

application/json
404

Unknown entity resolution rule.

application/json